| Home | Libraries | People | FAQ | More

##### return_buffer

Calculates the buffer of a geometry.

###### Description

The free function return_buffer calculates the buffer (a polygon being the spatial point set collection within a specified maximum distance from a geometry) of a geometry. This version with the return_ prefix returns the buffer, and a template parameter must therefore be specified in the call..

###### Synopsis

    template<typename Output, typename Input, typename Distance>
    Output return_buffer(Input const & geometry, Distance const & distance, Distance const & chord_length = -1)

###### Parameters

Type | Concept | Name | Description
--- | --- | --- | ---
Output | Any type fulfilling a Geometry Concept | - | Must be specified
Input const & | Any type fulfilling a Geometry Concept | geometry | A model of the specified concept
Distance const & | numerical type (int, double, ttmath, ...) | distance | The distance to be used for the buffer
Distance const & | numerical type (int, double, ttmath, ...) | chord_length | (optional) The length of the chord's in the generated arcs around points or bends (RESERVED, NOT YET USED)

###### Returns

The calculated buffer

###### Header

Either

`#include <boost/geometry.hpp>`

Or

`#include <boost/geometry/algorithms/buffer.hpp>`